evas::image Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::image Struct Reference

Class image. More...

## Public Member Functions
| image (Eo *eo)
| Eo Constructor. More...
| image (std::nullptr_t)
| nullptr_t Constructor. More...
| image (image const &other)
| Copy Constructor.
void | preload_begin () const
| Begin preloading an image object's image data in the background.
void | data_update_add (int x_, int y_, int w_, int h_) const
| Mark a sub-region of the given image object to be redrawn. More...
double | animated_frame_duration_get (int start_frame_, int frame_num_) const
| Get the duration of a sequence of frames. More...
void | data_set (void *data_) const
| Sets the raw image data of the given image object. More...
void * | data_get (bool for_writing_) const
| Get a pointer to the raw image data of the given image object. More...
void | preload_cancel () const
| Cancel preloading an image object's image data in the background.
void * | data_convert (Evas_Colorspace to_cspace_) const
| Converts the raw image data of the given image object to the specified colorspace. More...
bool | pixels_import (Evas_Pixel_Import_Source *pixels_) const
| Import pixels from given source to a given canvas image object. More...
void | reload () const
| Reload an image object's image data. More...
double | load_dpi_get () const
| Get the DPI resolution of a loaded image object in the canvas. More...
void | load_dpi_set (double dpi_) const
| Set the DPI resolution of an image object's source image. More...
bool | source_clip_get () const
| Determine whether an object is clipped by source object's clipper. More...
void | source_clip_set (bool source_clip_) const
| Clip the proxy object with the source object's clipper. More...
::evas::object | source_get () const
| Get the current source object of an image object. More...
bool | source_set (::evas::object src_) const
| Set the source object on an image object to used as a proxy. More...
bool | filled_get () const
| Retrieve whether the image object's fill property should track the object's size. More...
void | filled_set (bool filled_) const
| Set whether the image object's fill property should track the object's size. More...
Evas_Image_Content_Hint | content_hint_get () const
| Get the content hint setting of a given image object of the canvas. More...
void | content_hint_set (Evas_Image_Content_Hint hint_) const
| Set the content hint setting of a given image object of the canvas. More...
void | load_region_get (int *x_, int *y_, int *w_, int *h_) const
| Retrieve the coordinates of a given image object's selective (source image) load region. More...
void | load_region_set (int x_, int y_, int w_, int h_) const
| Inform a given image object to load a selective region of its source image. More...
bool | alpha_get () const
| Retrieve whether alpha channel data is being used on the given image object. More...
void | alpha_set (bool alpha_) const
| Enable or disable alpha channel usage on the given image object. More...
void | border_get (int *l_, int *r_, int *t_, int *b_) const
| Retrieve the dimensions for an image object's border, a region which won't ever be scaled together with its center. More...
void | border_set (int l_, int r_, int t_, int b_) const
| Set the dimensions for an image object's border, a region which won't ever be scaled together with its center. More...
double | border_scale_get () const
| Retrieves the scaling factor (multiplier) for the borders of an image object. More...
void | border_scale_set (double scale_) const
| Sets the scaling factor (multiplier) for the borders of an image object. More...
bool | pixels_dirty_get () const
| Retrieves whether the given image object is dirty (needs to be redrawn). More...
void | pixels_dirty_set (bool dirty_) const
| Mark whether the given image object is dirty and needs to request its pixels. More...
const Evas_Video_Surface * | video_surface_get () const
| Get the video surface linekd to a given image of the canvas. More...
void | video_surface_set (Evas_Video_Surface *surf_) const
| Set the video surface linked to a given image of the canvas. More...
unsigned int | video_surface_caps_get () const
| Get the video surface capabilities to a given image of the canvas. More...
void | video_surface_caps_set (unsigned int caps_) const
| Set the video surface capabilities to a given image of the canvas. More...
bool | load_orientation_get () const
| Get if the orientation information in the image file should be honored. More...
void | load_orientation_set (bool enable_) const
| Define if the orientation information in the image file should be honored. More...
Evas_Border_Fill_Mode | border_center_fill_get () const
| Retrieves how the center part of the given image object (not the borders) is to be drawn when Evas is rendering it. More...
void | border_center_fill_set (Evas_Border_Fill_Mode fill_) const
| Sets how the center part of the given image object (not the borders) should be drawn when Evas is rendering it. More...
bool | source_visible_get () const
| Get the state of the source object visibility. More...
void | source_visible_set (bool visible_) const
| Set the source object to be visible or not. More...
Evas_Native_Surface * | native_surface_get () const
| Get the native surface of a given image of the canvas. More...
void | native_surface_set (Evas_Native_Surface *surf_) const
| Set the native surface of a given image of the canvas. More...
int | load_scale_down_get () const
| get the scale down factor of a given image object's source image, when loading it. More...
void | load_scale_down_set (int scale_down_) const
| Set the scale down factor of a given image object's source image, when loading it. More...
Evas_Image_Scale_Hint | scale_hint_get () const
| Get the scale hint of a given image of the canvas. More...
void | scale_hint_set (Evas_Image_Scale_Hint hint_) const
| Set the scale hint of a given image of the canvas. More...
bool | source_events_get () const
| Determine whether an object is set to source events. More...
void | source_events_set (bool source_) const
| Set whether an Evas object is to source events. More...
Evas_Colorspace | colorspace_get () const
| Get the colorspace of a given image of the canvas. More...
void | colorspace_set (Evas_Colorspace cspace_) const
| Set the colorspace of a given image of the canvas. More...
void | pixels_get_callback_set (Evas_Object_Image_Pixels_Get_Cb func_, void *data_) const
| Set the callback function to get pixels from a canvas' image. More...
void | data_copy_set (void *data_) const
| Replaces the raw image data of the given image object. More...
void | animated_frame_set (int frame_index_) const
| Set the frame to current frame of an image object. More...
bool | region_support_get () const
| Get the support state of a given image. More...
Evas_Load_Error | load_error_get () const
| Retrieves a number representing any error that occurred during the last loading of the given image object's source image. More...
int | animated_frame_count_get () const
| Get the total number of frames of the image object. More...
int | stride_get () const
| Retrieves the row stride of the given image object. More...
Evas_Image_Animated_Loop_Hint | animated_loop_type_get () const
| Get the kind of looping the image object does. More...
int | animated_loop_count_get () const
| Get the number times the animation of the object loops. More...
Evas_3D_Scene * | scene_get () const
| Get the 3D scene of a given image of the canvas. More...
void | scene_set (Evas_3D_Scene *scene_) const
| Set the 3D scene of a given image of the canvas. More...
void | filter_program_set (::efl::eina::string_view program_) const
| Set an Evas filter program on this Text Object. More...
void | filter_source_set (::efl::eina::string_view name_,::efl::eo::concrete eobj_) const
| Bind an object to use as a mask or texture with Evas Filters. More...
bool | filter_padding_get (int *l_, int *r_, int *t_, int *b_) const
| Get the value of the extra padding set when a filter is used. More...
Evas_Image_Orient | orient_get () const
| Get the image orientation. More...
void | orient_set (Evas_Image_Orient orient_) const
| Set the image orientation. More...
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| image (::efl::eo::parent_type _p)
| Constructs a new evas::image object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::file
| file (Eo *eo)
| Eo Constructor. More...
| file (std::nullptr_t)
| nullptr_t Constructor. More...
| file (file const &other)
| Copy Constructor.
bool | save (::efl::eina::string_view file_,::efl::eina::string_view key_,::efl::eina::string_view flags_) const
| Save the given image object's contents to an (image) file. More...
void | eject () const
| Eject the represented object. More...
bool | async_wait () const
| Block and wait until all asynchronous operations are completed. More...
void | mmap_get (const Eina_File **f_, const char **key_) const
| Get the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
bool | mmap_set (const Eina_File *f_,::efl::eina::string_view key_) const
| Set the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
void | file_get (const char **file_, const char **key_) const
| Retrieve the source file from where an image object is to fetch the real image data (it may be an Eet file, besides pure image ones). More...
bool | file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
| Set the source file from where an image object must fetch the real image data (it may be an Eet file, besides pure image ones). More...
bool | async_get () const
| Retrieves the asynchronous open flag, which will be true only if enabled and supported by the object. More...
void | async_set (bool async_) const
| If true, file open will happen asynchronously allowing for better performance in some situations. More...
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
| file (::efl::eo::parent_type _p)
| Constructs a new efl::file object. More...
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (int x_, int y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
void | size_get (int *w_, int *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (int w_, int h_) const
| Changes the size of the given Evas object. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
| Retrieves a specific color of the given Evas object. More...
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
| Sets a specifc color of the given Efl.Gfx.Base object to the given one. More...
bool | visible_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visible_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::fill
| fill (Eo *eo)
| Eo Constructor. More...
| fill (std::nullptr_t)
| nullptr_t Constructor. More...
| fill (fill const &other)
| Copy Constructor.
Efl_Gfx_Fill_Spread | fill_spread_get () const
| Retrieves the spread (tiling mode) for the given image object's fill. More...
void | fill_spread_set (Efl_Gfx_Fill_Spread spread_) const
| Sets the tiling mode for the given evas image object's fill. More...
void | fill_get (int *x_, int *y_, int *w_, int *h_) const
| Retrieve how an image object is to fill its drawing rectangle, given the (real) image bound to it. More...
void | fill_set (int x_, int y_, int w_, int h_) const
| Set how to fill an image object's drawing rectangle given the (real) image bound to it. More...
| fill (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::fill object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (Efl_Gfx_Stack *below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (Efl_Gfx_Stack *above_) const
| Stack `obj` immediately above `above`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
Efl_Gfx_Stack * | below_get () const
| Get the Evas object stacked right below `obj`. More...
Efl_Gfx_Stack * | above_get () const
| Get the Evas object stacked right above `obj`. More...
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from efl::gfx::view
| view (Eo *eo)
| Eo Constructor. More...
| view (std::nullptr_t)
| nullptr_t Constructor. More...
| view (view const &other)
| Copy Constructor.
void | size_get (int *w_, int *h_) const
| Retrieves the size of the given image object. More...
void | size_set (int w_, int h_) const
| Sets the size of the given image object. More...
| view (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::view object. More...
Public Member Functions inherited from efl::image
| image (Eo *eo)
| Eo Constructor. More...
| image (std::nullptr_t)
| nullptr_t Constructor. More...
| image (image const &other)
| Copy Constructor.
bool | animated_get () const
| Check if an image can be animated (have multiple frames) More...
void | load_size_get (int *w_, int *h_) const
void | load_size_set (int w_, int h_) const
| Set the loading size of an image. More...
bool | smooth_scale_get () const
| Retrieves whether the given image is using high-quality image scaling algorithm. More...
void | smooth_scale_set (bool smooth_scale_) const
| Sets whether to use high-quality image scaling algorithm on the given image. More...
double | ratio_get () const
| The native ration of the image object. More...
| image (::efl::eo::parent_type _p)
| Constructs a new efl::image object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Remove an event callback forwarder for an event and an object. More...
void | event_thaw () const
| thaw events of object. More...
void | event_freeze () const
| freeze events of object. More...
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
| Del a callback array with a specific data associated to it for an event. More...
void | wref_del (Eo **wref_) const
| Delete the weak reference passed. More...
void | destructor () const
| Call the object's destructor. More...
::efl::eo::concrete | finalize () const
| Called at the end of #eo_add. More...
void | key_data_set (::efl::eina::string_view key_, const void *data_, eo_key_data_free_func free_func_) const
| Set generic data to object. More...
void * | key_data_get (::efl::eina::string_view key_) const
| Get generic data from object. More...
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
| Del a callback with a specific data associated to it for an event. More...
void | key_data_del (::efl::eina::string_view key_) const
| Del generic data from object. More...
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
| Add a callback array for an event with a specific priority. More...
void | wref_add (::efl::eo::concrete *wref_) const
| Add a new weak reference to obj. More...
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Add an event callback forwarder for an event and an object. More...
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
| Call the callbacks for an event of an object. More...
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
| Add a callback for an event with a specific priority. More...
Eina_Iterator * | children_iterator_new () const
| Get an iterator on all childrens.
bool | composite_attach (::efl::eo::concrete comp_obj_) const
bool | composite_detach (::efl::eo::concrete comp_obj_) const
bool | composite_part_is () const
::efl::eo::concrete | parent_get () const
| Get the parent of an object. More...
void | parent_set (::efl::eo::concrete parent_) const
| Set the parent of an object Parents keep references to their children so in order to delete objects that have parents you need to set parent to NULL or use eo_del() that does that for you (and also unrefs the object). More...
int | event_global_freeze_count_get () const
| return freeze events of object. More...
int | event_freeze_count_get () const
| return freeze events of object. More...
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
| Test if any object is clipped by `obj`. More...
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
| Requests `keyname` key events be directed to `obj`. More...
bool | smart_type_check (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
| Retrieves the object from children of the given object with the given name. More...
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| Removes the grab on `keyname` key events by `obj`. More...
void | clip_unset () const
| Disable/cease clipping on a clipped `obj` object. More...
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
| Moves all children objects of a given smart object relative to a given offset. More...
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's maximum size. More...
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's maximum size. More...
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's optimum size. More...
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's optimum size. More...
::efl::eina::string_view | type_get () const
| Retrieves the type of the given Evas object. More...
void | type_set (::efl::eina::string_view type_) const
| Sets the type of the given Evas object. More...
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's minimum size. More...
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's minimum size. More...
Evas_Object_Pointer_Mode | pointer_mode_get () const
| Determine how pointer will behave. More...
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
| Set pointer behavior. More...
Evas_Render_Op | render_op_get () const
| Retrieves the current value of the operation used for rendering the Evas object. More...
void | render_op_set (Evas_Render_Op render_op_) const
| Sets the render_op to be used for rendering the Evas object. More...
bool | freeze_events_get () const
| Determine whether an object is set to freeze (discard) events. More...
void | freeze_events_set (bool freeze_) const
| Set whether an Evas object is to freeze (discard) events. More...
const Evas_Map * | map_get () const
| Get current object transformation map. More...
void | map_set (const Evas_Map *map_) const
| Set current object transformation map. More...
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's aspect ratio. More...
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's aspect ratio. More...
::evas::object | clip_get () const
| Get the object clipping `obj` (if any). More...
void | clip_set (::evas::object clip_) const
| Clip one object to another. More...
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| Retrieves the hints for an object's padding space. More...
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
| Sets the hints for an object's padding space. More...
bool | repeat_events_get () const
| Determine whether an object is set to repeat events. More...
void | repeat_events_set (bool repeat_) const
| Set whether an Evas object is to repeat events. More...
void | size_hint_weight_get (double *x_, double *y_) const
| Retrieves the hints for an object's weight. More...
void | size_hint_weight_set (double x_, double y_) const
| Sets the hints for an object's weight. More...
::efl::eina::string_view | name_get () const
| Retrieves the name of the given Evas object. More...
void | name_set (::efl::eina::string_view name_) const
| Sets the name of the given Evas object to the given name. More...
double | scale_get () const
| Retrieves the scaling factor for the given Evas object. More...
void | scale_set (double scale_) const
| Sets the scaling factor for an Evas object. More...
bool | static_clip_get () const
| Get the "static clipper" hint flag for a given Evas object. More...
void | static_clip_set (bool is_static_clip_) const
| Set a hint flag on the given Evas object that it's used as a "static clipper". More...
bool | focus_get () const
| Retrieve whether an object has the focus. More...
void | focus_set (bool focus_) const
| Sets or unsets a given object as the currently focused one on its canvas. More...
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
| Get the map enabled state. More...
void | map_enable_set (bool enabled_) const
| Enable or disable the map that is set. More...
bool | precise_is_inside_get () const
| Determine whether an object is set to use precise point collision detection. More...
void | precise_is_inside_set (bool precise_) const
| Set whether to use precise (usually expensive) point collision detection for a given Evas object. More...
void | size_hint_align_get (double *x_, double *y_) const
| Retrieves the hints for on object's alignment. More...
void | size_hint_align_set (double x_, double y_) const
| Sets the hints for an object's alignment. More...
bool | propagate_events_get () const
| Retrieve whether an Evas object is set to propagate events. More...
void | propagate_events_set (bool propagate_) const
| Set whether events on a smart object's member should get propagated up to its parent. More...
bool | pass_events_get () const
| Determine whether an object is set to pass (ignore) events. More...
void | pass_events_set (bool pass_) const
| Set whether an Evas object is to pass (ignore) events. More...
bool | anti_alias_get () const
| Retrieves whether or not the given Evas object is to be drawn anti_aliased. More...
void | anti_alias_set (bool anti_alias_) const
| Sets whether or not the given Evas object is to be drawn anti-aliased. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
::evas::object | smart_clipped_clipper_get () const
| Get the clipper object for the given clipped smart object. More...
::efl::eina::crange_list< ::evas::object > | clipees_get () const
| Return a list of objects currently clipped by `obj`. More...
::evas::object | smart_parent_get () const
| Gets the parent smart object of a given Evas object, if it has one. More...
Evas_Display_Mode | size_hint_display_mode_get () const
| Retrieves the hints for an object's display mode. More...
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
| Sets the hints for an object's disply mode. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Deleted (called before Free)
template<typename T >
void | callback_del_call (T *info)
| Object Being Deleted (called before Free)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::file
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::fill
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::view
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::image
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_freeze ()
| freeze events of object. More...
static void | event_global_thaw ()
| thaw events of object. More...
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class image.

## Constructor & Destructor Documentation

evas::image::image | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::image object.

Constructs a new evas::image object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::image my_image(efl::eo::parent = parent_object);

See also
  image(Eo* eo)

evas::image::image | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::image::image | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void evas::image::data_update_add | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Mark a sub-region of the given image object to be redrawn.

This function schedules a particular rectangular region of an image object to be updated (redrawn) at the next rendering cycle.

Parameters

  x | X-offset of the region to be updated.
  y | Y-offset of the region to be updated.
  w | Width of the region to be updated.
  h | Height of the region to be updated.

double evas::image::animated_frame_duration_get | ( | int | start_frame_,
|  | int | frame_num_
| ) |  | const

Get the duration of a sequence of frames.

This returns total duration that the specified sequence of frames should take in seconds.

If you set start_frame to 1 and frame_num 0, you get frame 1's duration If you set start_frame to 1 and frame_num 1, you get frame 1's duration + frame2's duration

See also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

Parameters

  start_frame | The first frame
  frame_num | Number of frames in the sequence

void evas::image::data_set | ( | void * | data_ | ) | const

Sets the raw image data of the given image object.

Note that the raw data must be of the same size (see evas_object_image_size_set(), which has to be called before this one) and colorspace (see evas_object_image_colorspace_set()) of the image. If data is `NULL`, the current image data will be freed. Naturally, if one does not set an image object's data manually, it will still have one, allocated by Evas.

See also
  evas_object_image_data_get()

Parameters

  data | The raw data, or `NULL`.

void* evas::image::data_get | ( | bool | for_writing_ | ) | const

Get a pointer to the raw image data of the given image object.

Returns
  The raw image data.

This function returns a pointer to an image object's internal pixel buffer, for reading only or read/write. If you request it for writing, the image will be marked dirty so that it gets redrawn at the next update.

Each time you call this function on an image object, its data buffer will have an internal reference counter incremented. Decrement it back by using evas_object_image_data_set().

This is best suited for when you want to modify an existing image, without changing its dimensions.

Note
  The contents' format returned by it depend on the color space of the given image object.
  You may want to use evas_object_image_data_update_add() to inform data changes, if you did any.

See also
  evas_object_image_data_set()

Parameters

  for_writing | Whether the data being retrieved will be modified (`EINA_TRUE`) or not (`EINA_FALSE`).

void* evas::image::data_convert | ( | Evas_Colorspace | to_cspace_ | ) | const

Converts the raw image data of the given image object to the specified colorspace.

Note that this function does not modify the raw image data. If the requested colorspace is the same as the image colorspace nothing is done and `NULL` is returned. You should use evas_object_image_colorspace_get() to check the current image colorspace.

See evas_object_image_colorspace_get.

Returns
  data A newly allocated data in the format specified by to_cspace.

Parameters

  to_cspace | The colorspace to which the image raw data will be converted.

bool evas::image::pixels_import | ( | Evas_Pixel_Import_Source * | pixels_ | ) | const

Import pixels from given source to a given canvas image object.

This function imports pixels from a given source to a given canvas image.

Parameters

  pixels | The pixel's source to be imported.

void evas::image::reload | ( |  | ) | const

Reload an image object's image data.

This function reloads the image data bound to image object `obj`.

double evas::image::load_dpi_get | ( |  | ) | const

Get the DPI resolution of a loaded image object in the canvas.

Returns
  The DPI resolution of the given canvas image.

This function returns the DPI resolution of the given canvas image.

See also
  evas_object_image_load_dpi_set() for more details

Parameters

  dpi | The new DPI resolution.

void evas::image::load_dpi_set | ( | double | dpi_ | ) | const

Set the DPI resolution of an image object's source image.

This function sets the DPI resolution of a given loaded canvas image. Most useful for the SVG image loader.

See also
  evas_object_image_load_dpi_get()

Parameters

  dpi | The new DPI resolution.

bool evas::image::source_clip_get | ( |  | ) | const

Determine whether an object is clipped by source object's clipper.

Returns
  `EINA_TRUE` if source clip is enabled, `EINA_FALSE` otherwise.

See also
  evas_object_clip_set()
  evas_object_image_source_set()
  evas_object_image_source_clip_set()

Since
  1.8

Parameters

  source_clip | whether `obj` is clipped by the source clipper. (`EINA_TRUE`) or not (`EINA_FALSE`)

void evas::image::source_clip_set | ( | bool | source_clip_ | ) | const

Clip the proxy object with the source object's clipper.

See also
  evas_object_clip_set()
  evas_object_image_source_set()

Since
  1.8

Parameters

  source_clip | whether `obj` is clipped by the source clipper. (`EINA_TRUE`) or not (`EINA_FALSE`)

::evas::object evas::image::source_get | ( |  | ) | const

Get the current source object of an image object.

Returns
  Source object (if any), or `NULL`, if not in "proxy mode" (or on errors).

See also
  evas_object_image_source_set() for more details

Parameters

  src | Source object to use for the proxy.

bool evas::image::source_set | ( | ::evas::object | src_ | ) | const

Set the source object on an image object to used as a proxy.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on error.

If an image object is set to behave as a proxy, it will mirror the rendering contents of a given source object in its drawing region, without affecting that source in any way. The source must be another valid Evas object. Other effects may be applied to the proxy, such as a map (see evas_object_map_set()) to create a reflection of the original object (for example).

Any existing source object on `obj` will be removed after this call. Setting `src` to `NULL` clears the proxy object (not in "proxy state" anymore).

Warning
  You cannot set a proxy as another proxy's source.

See also
  evas_object_image_source_get()
  evas_object_image_source_unset()
  evas_object_image_source_visible_set()

Parameters

  src | Source object to use for the proxy.

bool evas::image::filled_get | ( |  | ) | const

Retrieve whether the image object's fill property should track the object's size.

Returns
  `EINA_TRUE` if it is tracking, `EINA_FALSE`, if not (and evas_object_fill_set() must be called manually).

See also
  evas_object_image_filled_set() for more information

Parameters

  filled | `EINA_TRUE`, to make the fill property follow object size or `EINA_FALSE`, otherwise.

void evas::image::filled_set | ( | bool | filled_ | ) | const

Set whether the image object's fill property should track the object's size.

If `setting` is `EINA_TRUE`, then every evas_object_resize() will automatically trigger a call to evas_object_image_fill_set() with the that new size (and `0`, `0` as source image's origin), so the bound image will fill the whole object's area.

See also
  evas_object_image_filled_add()
  evas_object_image_fill_get()

Parameters

  filled | `EINA_TRUE`, to make the fill property follow object size or `EINA_FALSE`, otherwise.

Evas_Image_Content_Hint evas::image::content_hint_get | ( |  | ) | const

Get the content hint setting of a given image object of the canvas.

Returns
  hint The content hint value set on it, one of the Evas_Image_Content_Hint ones (EVAS_IMAGE_CONTENT_HINT_NONE means an error).

This function returns the content hint value of the given image of the canvas.

See also
  evas_object_image_content_hint_set()

Parameters

  hint | The content hint value, one of the Evas_Image_Content_Hint ones.

void evas::image::content_hint_set | ( | Evas_Image_Content_Hint | hint_ | ) | const

Set the content hint setting of a given image object of the canvas.

This function sets the content hint value of the given image of the canvas. For example, if you're on the GL engine and your driver implementation supports it, setting this hint to EVAS_IMAGE_CONTENT_HINT_DYNAMIC will make it need zero copies at texture upload time, which is an "expensive" operation.

See also
  evas_object_image_content_hint_get()

Parameters

  hint | The content hint value, one of the Evas_Image_Content_Hint ones.

void evas::image::load_region_get | ( | int * | x_,
|  | int * | y_,
|  | int * | w_,
|  | int * | h_
| ) |  | const

Retrieve the coordinates of a given image object's selective (source image) load region.

Note
  Use `NULL` pointers on the coordinates you're not interested in: they'll be ignored by the function.

See also
  evas_object_image_load_region_get()

Parameters

  x | X-offset of the region to be loaded.
  y | Y-offset of the region to be loaded.
  w | Width of the region to be loaded.
  h | Height of the region to be loaded.

void evas::image::load_region_set | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Inform a given image object to load a selective region of its source image.

This function is useful when one is not showing all of an image's area on its image object.

Note
  The image loader for the image format in question has to support selective region loading in order to this function to take effect.

See also
  evas_object_image_load_region_get()

Parameters

  x | X-offset of the region to be loaded.
  y | Y-offset of the region to be loaded.
  w | Width of the region to be loaded.
  h | Height of the region to be loaded.

bool evas::image::alpha_get | ( |  | ) | const

Retrieve whether alpha channel data is being used on the given image object.

Returns
  Whether the alpha channel data is being used (`EINA_TRUE`) or not (`EINA_FALSE`).

This function returns `EINA_TRUE` if the image object's alpha channel is being used, or `EINA_FALSE` otherwise.

See evas_object_image_alpha_set() for more details.

Parameters

  alpha | Whether to use alpha channel (`EINA_TRUE`) data or not (`EINA_FALSE`).

void evas::image::alpha_set | ( | bool | alpha_ | ) | const

Enable or disable alpha channel usage on the given image object.

This function sets a flag on an image object indicating whether or not to use alpha channel data. A value of `EINA_TRUE` makes it use alpha channel data, and `EINA_FALSE` makes it ignore that data. Note that this has nothing to do with an object's color as manipulated by evas_object_color_set().

See also
  evas_object_image_alpha_get()

Parameters

  alpha | Whether to use alpha channel (`EINA_TRUE`) data or not (`EINA_FALSE`).

void evas::image::border_get | ( | int * | l_,
|  | int * | r_,
|  | int * | t_,
|  | int * | b_
| ) |  | const

Retrieve the dimensions for an image object's border, a region which won't ever be scaled together with its center.

Note
  Use `NULL` pointers on the border components you're not interested in: they'll be ignored by the function.

See evas_object_image_border_set() for more details.

Parameters

  l | The border's left width.
  r | The border's right width.
  t | The border's top width.
  b | The border's bottom width.

void evas::image::border_set | ( | int | l_,
|  | int | r_,
|  | int | t_,
|  | int | b_
| ) |  | const

Set the dimensions for an image object's border, a region which won't ever be scaled together with its center.

When Evas is rendering, an image source may be scaled to fit the size of its image object. This function sets an area from the borders of the image inwards which is not to be scaled. This function is useful for making frames and for widget theming, where, for example, buttons may be of varying sizes, but their border size must remain constant.

The units used for `l`, `r`, `t` and `b` are canvas units.

Note
  The border region itself may be scaled by the evas_object_image_border_scale_set() function.
  By default, image objects have no borders set, i. e. `l`, `r`, `t` and `b` start as `0`.

See the following figures for visual explanation:
/// /// Full-size /// /// /// Full-size ///

See also
  evas_object_image_border_get()
  evas_object_image_border_center_fill_set()

Parameters

  l | The border's left width.
  r | The border's right width.
  t | The border's top width.
  b | The border's bottom width.

double evas::image::border_scale_get | ( |  | ) | const

Retrieves the scaling factor (multiplier) for the borders of an image object.

Returns
  The scale factor set for its borders

See also
  evas_object_image_border_set()
  evas_object_image_border_scale_set()

Parameters

  scale | The scale factor (default is `1.0` - i.e. no scaling)

void evas::image::border_scale_set | ( | double | scale_ | ) | const

Sets the scaling factor (multiplier) for the borders of an image object.

See also
  evas_object_image_border_set()
  evas_object_image_border_scale_get()

Parameters

  scale | The scale factor (default is `1.0` - i.e. no scaling)

bool evas::image::pixels_dirty_get | ( |  | ) | const

Retrieves whether the given image object is dirty (needs to be redrawn).

Returns
  Whether the image is dirty.

Parameters

  dirty | Whether the image is dirty.

void evas::image::pixels_dirty_set | ( | bool | dirty_ | ) | const

Mark whether the given image object is dirty and needs to request its pixels.

This function will only properly work if a pixels get callback has been set.

Warning
  use this function if you really know what you are doing.

See also
  evas_object_image_pixels_get_callback_set()

Parameters

  dirty | Whether the image is dirty.

const Evas_Video_Surface* evas::image::video_surface_get | ( |  | ) | const

Get the video surface linekd to a given image of the canvas.

Returns
  The video surface of the given canvas image.

Since
  1.1

This function returns the video surface linked to a given canvas image.

Parameters

  surf | The new video surface.

Since
  1.1

void evas::image::video_surface_set | ( | Evas_Video_Surface * | surf_ | ) | const

Set the video surface linked to a given image of the canvas.

This function links a video surface to a given canvas image.

Parameters

  surf | The new video surface.

Since
  1.1

unsigned int evas::image::video_surface_caps_get | ( |  | ) | const

Get the video surface capabilities to a given image of the canvas.

Parameters

  caps | in

void evas::image::video_surface_caps_set | ( | unsigned int | caps_ | ) | const

Set the video surface capabilities to a given image of the canvas.

Parameters

  caps | in

bool evas::image::load_orientation_get | ( |  | ) | const

Get if the orientation information in the image file should be honored.

Since
  1.1

Parameters

  enable | `EINA_TRUE` means that it should honor the orientation information

void evas::image::load_orientation_set | ( | bool | enable_ | ) | const

Define if the orientation information in the image file should be honored.

Since
  1.1

Parameters

  enable | `EINA_TRUE` means that it should honor the orientation information

Evas_Border_Fill_Mode evas::image::border_center_fill_get | ( |  | ) | const

Retrieves how the center part of the given image object (not the borders) is to be drawn when Evas is rendering it.

Returns
  fill Fill mode of the center region of `obj` (a value in Evas_Border_Fill_Mode).

See evas_object_image_fill_set() for more details.

Parameters

  fill | Fill mode of the center region of `obj` (a value in Evas_Border_Fill_Mode).

void evas::image::border_center_fill_set | ( | Evas_Border_Fill_Mode | fill_ | ) | const

Sets how the center part of the given image object (not the borders) should be drawn when Evas is rendering it.

This function sets how the center part of the image object's source image is to be drawn, which must be one of the values in Evas_Border_Fill_Mode. By center we mean the complementary part of that defined by evas_object_image_border_set(). This one is very useful for making frames and decorations. You would most probably also be using a filled image (as in evas_object_image_filled_set()) to use as a frame.

See also
  evas_object_image_border_center_fill_get()

Parameters

  fill | Fill mode of the center region of `obj` (a value in Evas_Border_Fill_Mode).

bool evas::image::source_visible_get | ( |  | ) | const

Get the state of the source object visibility.

Returns
  `EINA_TRUE` if source object is visible, `EINA_FALSE` otherwise.

See also
  evas_object_image_source_visible_set()
  evas_object_image_source_set()
  evas_object_show()
  evas_object_hide()

Since
  1.8

Parameters

  visible | `EINA_TRUE` is source object to be shown, `EINA_FALSE` otherwise.

void evas::image::source_visible_set | ( | bool | visible_ | ) | const

Set the source object to be visible or not.

If the `visible` set to `EINA_FALSE`, the source object of the proxy(`obj` ) will be invisible.

This API works differently to evas_object_show() and evas_object_hide(). Once source object is hidden by evas_object_hide() then the proxy object will be hidden as well. Actually in this case both objects are excluded from the Evas internal update circle.

By this API, instead, one can toggle the visibility of a proxy's source object remaining the proxy visibility untouched.

Warning
  If the all of proxies are deleted, then the source visibility of the source object will be cancelled.

See also
  evas_object_image_source_visible_get()
  evas_object_image_source_set()
  evas_object_show()
  evas_object_hide()

Since
  1.8

Parameters

  visible | `EINA_TRUE` is source object to be shown, `EINA_FALSE` otherwise.

Evas_Native_Surface* evas::image::native_surface_get | ( |  | ) | const

Get the native surface of a given image of the canvas.

Returns
  The native surface of the given canvas image.

This function returns the native surface of a given canvas image.

Parameters

  surf | The new native surface.

void evas::image::native_surface_set | ( | Evas_Native_Surface * | surf_ | ) | const

Set the native surface of a given image of the canvas.

This function sets a native surface of a given canvas image.

Parameters

  surf | The new native surface.

int evas::image::load_scale_down_get | ( |  | ) | const

get the scale down factor of a given image object's source image, when loading it.

See also
  evas_object_image_load_scale_down_set() for more details

Parameters

  scale_down | The scale down factor.

void evas::image::load_scale_down_set | ( | int | scale_down_ | ) | const

Set the scale down factor of a given image object's source image, when loading it.

This function sets the scale down factor of a given canvas image. Most useful for the SVG image loader.

See also
  evas_object_image_load_scale_down_get()

Parameters

  scale_down | The scale down factor.

Evas_Image_Scale_Hint evas::image::scale_hint_get | ( |  | ) | const

Get the scale hint of a given image of the canvas.

Returns
  The scale hint value set on `obj`, a value in #Evas_Image_Scale_Hint.

This function returns the scale hint value of the given image object of the canvas.

See also
  evas_object_image_scale_hint_set() for more details.

Parameters

  hint | The scale hint, a value in #Evas_Image_Scale_Hint.

void evas::image::scale_hint_set | ( | Evas_Image_Scale_Hint | hint_ | ) | const

Set the scale hint of a given image of the canvas.

This function sets the scale hint value of the given image object in the canvas, which will affect how Evas is to cache scaled versions of its original source image.

See also
  evas_object_image_scale_hint_get()

Parameters

  hint | The scale hint, a value in #Evas_Image_Scale_Hint.

bool evas::image::source_events_get | ( |  | ) | const

Determine whether an object is set to source events.

Returns
  `EINA_TRUE` if source object has events, `EINA_FALSE` otherwise.

See also
  evas_object_image_source_set()
  evas_object_image_source_visible_set()
  evas_object_image_source_events_set()

Since
  1.8

Parameters

  source | whether `obj` is to pass events (`EINA_TRUE`) or not (`EINA_FALSE`)

void evas::image::source_events_set | ( | bool | source_ | ) | const

Set whether an Evas object is to source events.

Set whether an Evas object is to repeat events to source.

If `source` is `EINA_TRUE`, it will make events on `obj` to also be repeated for the source object (see evas_object_image_source_set()). Even the `obj` and source geometries are different, the event position will be transformed to the source object's space.

If `source` is `EINA_FALSE`, events occurring on `obj` will be processed only on it.

See also
  evas_object_image_source_get()
  evas_object_image_source_visible_set()
  evas_object_image_source_events_get()

Since
  1.8

Parameters

  source | whether `obj` is to pass events (`EINA_TRUE`) or not (`EINA_FALSE`)

Evas_Colorspace evas::image::colorspace_get | ( |  | ) | const

Get the colorspace of a given image of the canvas.

Returns
  The colorspace of the image.

This function returns the colorspace of given canvas image.

Parameters

  cspace | The new color space.

void evas::image::colorspace_set | ( | Evas_Colorspace | cspace_ | ) | const

Set the colorspace of a given image of the canvas.

This function sets the colorspace of given canvas image.

Parameters

  cspace | The new color space.

void evas::image::pixels_get_callback_set | ( | Evas_Object_Image_Pixels_Get_Cb | func_,
|  | void * | data_
| ) |  | const

Set the callback function to get pixels from a canvas' image.

This functions sets a function to be the callback function that get pixels from a image of the canvas.

Parameters

  func | The callback function.
  data | The data pointer to be passed to func.

void evas::image::data_copy_set | ( | void * | data_ | ) | const

Replaces the raw image data of the given image object.

This function lets the application replace an image object's internal pixel buffer with an user-allocated one. For best results, you should generally first call evas_object_image_size_set() with the width and height for the new buffer.

This call is best suited for when you will be using image data with different dimensions than the existing image data, if any. If you only need to modify the existing image in some fashion, then using evas_object_image_data_get() is probably what you are after.

Note that the caller is responsible for freeing the buffer when finished with it, as user-set image data will not be automatically freed when the image object is deleted.

See evas_object_image_data_get() for more details.

Parameters

  data | The raw data to replace.

void evas::image::animated_frame_set | ( | int | frame_index_ | ) | const

Set the frame to current frame of an image object.

This set image object's current frame to frame_num with 1 being the first frame.

See also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

Parameters

  frame_index | The index of current frame

bool evas::image::region_support_get | ( |  | ) | const

Get the support state of a given image.

Returns
  The region support state

Since
  1.2

This function returns the state of the region support of given image

Evas_Load_Error evas::image::load_error_get | ( |  | ) | const

Retrieves a number representing any error that occurred during the last loading of the given image object's source image.

Returns
  A value giving the last error that occurred. It should be one of the #Evas_Load_Error values. #EVAS_LOAD_ERROR_NONE is returned if there was no error.

int evas::image::animated_frame_count_get | ( |  | ) | const

Get the total number of frames of the image object.

Returns
  The number of frames

This returns total number of frames the image object supports (if animated)

See also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

int evas::image::stride_get | ( |  | ) | const

Retrieves the row stride of the given image object.

Returns
  The stride of the image (in bytes).

The row stride is the number of bytes between the start of a row and the start of the next row for image data.

Evas_Image_Animated_Loop_Hint evas::image::animated_loop_type_get | ( |  | ) | const

Get the kind of looping the image object does.

Returns
  Loop type of the image object

This returns the kind of looping the image object wants to do.

If it returns EVAS_IMAGE_ANIMATED_HINT_LOOP, you should display frames in a sequence like: 1->2->3->1->2->3->1... If it returns EVAS_IMAGE_ANIMATED_HINT_PINGPONG, it is better to display frames in a sequence like: 1->2->3->2->1->2->3->1...

The default type is EVAS_IMAGE_ANIMATED_HINT_LOOP.

See also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

int evas::image::animated_loop_count_get | ( |  | ) | const

Get the number times the animation of the object loops.

Returns
  The number of loop of an animated image object

This returns loop count of image. The loop count is the number of times the animation will play fully from first to last frame until the animation should stop (at the final frame).

If 0 is returned, then looping should happen indefinitely (no limit to the number of times it loops).

See also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

Evas_3D_Scene* evas::image::scene_get | ( |  | ) | const

Get the 3D scene of a given image of the canvas.

Returns
  The 3d scene of the given canvas image.

This function returns the 3d scene of a given canvas image.

See also
  evas_object_image_scene_get

Since
  1.10

Parameters

  scene | 3D scene on an image object.

void evas::image::scene_set | ( | Evas_3D_Scene * | scene_ | ) | const

Set the 3D scene of a given image of the canvas.

This function sets a 3d scene of a given canvas image.

See also
  evas_object_image_scene_set

Since
  1.10

Parameters

  scene | 3D scene on an image object.

void evas::image::filter_program_set | ( | ::efl::eina::string_view | program_ | ) | const

Set an Evas filter program on this Text Object.

If the program fails to compile (syntax error, invalid buffer name, etc...), the standard text effects will be applied instead (SHADOW, etc...). switch back to the standard text effects.

Since
  1.9

Note
  EXPERIMENTAL FEATURE. This is an unstable API, please use only for testing purposes.

See also
  Evas filters reference

Parameters

  program | The program code, as defined by the Evas filters script language. Pass NULL to remove the former program and switch back to the standard text effect

Since
  1.9

Note
  EXPERIMENTAL FEATURE. This is an unstable API, please use only for testing purposes.

See also
  Evas filters reference

void evas::image::filter_source_set | ( | ::efl::eina::string_view | name_,
|  | ::efl::eo::concrete | eobj_
| ) |  | const

Bind an object to use as a mask or texture with Evas Filters.

This will create automatically a new RGBA buffer containing the source object's pixels (as it is rendered).

Parameters

  name | Object name as used in the program code
  eobj | Eo object to use through proxy rendering

bool evas::image::filter_padding_get | ( | int * | l_,
|  | int * | r_,
|  | int * | t_,
|  | int * | b_
| ) |  | const

Get the value of the extra padding set when a filter is used.

Parameters

  l | Left padding in pixels
  r | Right padding in pixels
  t | Top padding in pixels
  b | Bottom padding in pixels

Returns
  Returns false if the filter is invalid and padding is 0

Evas_Image_Orient evas::image::orient_get | ( |  | ) | const

Get the image orientation.

Returns
  The image orientation Evas_Image_Orient

See also
  evas_object_image_orient_set()
  Evas_Image_Orient

Since
  1.14

Parameters

  orient | The image orientation Evas_Image_Orient Default is EVAS_IMAGE_ORIENT_NONE.

void evas::image::orient_set | ( | Evas_Image_Orient | orient_ | ) | const

Set the image orientation.

This function allows to rotate or flip the image.

See also
  evas_object_image_orient_get()
  Evas_Image_Orient

Since
  1.14

Parameters

  orient | The image orientation Evas_Image_Orient Default is EVAS_IMAGE_ORIENT_NONE.